English

Mobile Banking App "not compatible with your device"

I need to install the mobile banking app from Bank of America (https://play.google.com/store/apps/details?id=com.infonow.bofa&hl=en), which includes the ability to deposit checks by using the phone’s built-in back camera. One of the reasons I bought the FP3 was to have an up-to-date phone that would work with newer apps. The app is listed as requiring a back camera of minimum 2MP, yet the one on the FP3 obviously goes way beyond this. Yet when I go to GooglePlay to install it, I get a message that “this app is incompatible with all your devices.” Could it be that the back camera, or the phone, is not properly registered with GooglePlay?
Please let me know how I might solve this problem.
Thanks in advance,
Ethan

I know this topic was initially opened for the FP2, but the same things apply for any phone: Identifying reasons for application incompatibility

The play store page contains a contact email: mobileappstore@bankofamerica.com
I’d drop them a message explaining your problem.

2 Likes

Can you specify the version of Fairphone OS on your FP3? The version number can be found here: Settings > About phone > Build number

The middle part should read A.0111 if your OS is on the most recent state.

4 Likes

Thanks, I will try emailing them!

I discovered that its not the fairphones fault! The BoA app is only accessible from certain countries and NL is not one of them.

Thanks

3 Likes

This topic was automatically closed 90 days after the last reply. New replies are no longer allowed.